# $Revision: 1.47 $, $Date: 2009/08/26 11:32:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	MatrixReal
Summary:	Math::MatrixReal - implements the data type "matrix of reals"
Summary(pl.UTF-8):	Math::MatrixReal - implementacja typu danych "macierz liczb rzeczywistych"
Name:		perl-Math-MatrixReal
Version:	2.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	67f23122424830b5eea044f987b892b9
URL:		http://search.cpan.org/dist/Math-MatrixReal/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implements the data type "matrix of reals" (and consequently also
"vector of reals"), which can be used almost like any other basic Perl
type thanks to OPERATOR OVERLOADING, i.e., "$product = $matrix1 *
$matrix2;" does what you would like it to do (a matrix
multiplication).

%description -l pl.UTF-8
Ten moduł jest implementacją typu danych "macierz liczb rzeczywistych"
(i w konsekwencji także "wektor liczb rzeczywistych"), który może być
używany prawie tak samo jak każdy inny podstawowy typ Perla dzięki
przeciążaniu operatorów - tzn. "$product = $matrix1 * $matrix2;" zrobi
to, czego się oczekuje (pomnoży macierze).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Math/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS GOALS README TODO
%{perl_vendorlib}/Math/MatrixReal.pm
%{perl_vendorlib}/Math/funcs.pl
%{_mandir}/man3/Math::Kleene.3pm*
%{_mandir}/man3/Math::MatrixReal.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-MatrixReal.spec,v $
Revision 1.47  2009/08/26 11:32:17  amateja
- updated to 2.05

Revision 1.46  2008/02/25 21:41:00  qboosh
- more docs

Revision 1.45  2008-02-25 21:40:06  qboosh
- updated to 2.04

Revision 1.44  2007-12-24 13:47:05  qboosh
- generic URL

Revision 1.43  2007-12-24 01:26:05  zbyniu
- up to 2.02

Revision 1.42  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.40  2004/11/03 22:30:34  paladine
- formatting

Revision 1.39  2004/11/02 10:28:27  adamg
- get rid of pod documentation
- release 6

Revision 1.38  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.37  2004/05/06 18:20:41  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/25 06:25:09  ankry
- cosmetics: unification

Revision 1.35  2004/04/23 07:21:45  ankry
- tests

Revision 1.34  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.33  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:09:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:36:47  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.24  2002/08/11 19:36:48  radek
- release up

Revision 1.23  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.22  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:01:27  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:48:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:54  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:28:55  depesz
adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:12:48  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 01:30:57  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.9  2001/01/13 00:38:10  dobrek
-Req perl >=5.6; Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:58:39  pius
- updated to 1.3a5

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
